Mailinglist Archive: opensuse-releaseteam (27 mails)

< Previous Next >
[opensuse-releaseteam] package matrix-synapse for Leap 15.1
  • From: Eric Schirra <ecsos@xxxxxxxxxxxx>
  • Date: Sat, 16 Mar 2019 11:12:17 +0100
  • Message-id: <2953659.713lI8VYHr@client1>
Hello,

Ludwig Nussel has wrote a to me with subject "Packages you maintain are
present in openSUSE:Leap:15.1".

I now check my packages.

But with package matrix-synapse i have some problems.

First the package in devel is broken.
It is not installable.
Second the package is to old and will never run in some weeks,
because the new relaase 1.0 in some weeks will no more accept self sign
certificates.
Third the other maintainer will start a server during package build to create
a user. But this is a problem. When something goes wrong. The server is
running father. No problem in OBS. But on building at home.
Every time the osc build failed a new synapse service will run and never stop.
This is very bad. And i don't think the test is meaningful.

For above three problems i have a solution.
My package in my home repo is 0.99.2 and is installable and running and never
start a server at build time.
I run a synapse server myself.
And i will update to 1.0 when it out.
0.99.2 is last version which still accepted self sign.

But the removal of start a server in build time will not accepted from other
maintainer. He will absolute the useless and problematic test. :-(
He would not accept my new package.

The package version in devel and 15.1 will in some weeks no more run!

So, what can we do to put my 0.99.2 and in some weeks 1.0 to devel and after
that to 15.1?


Regards
Eric



--
To unsubscribe, e-mail: opensuse-releaseteam+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-releaseteam+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups